# These resources constitute the fully configured set of manifests
# used to generate the 'manifests/' directory in a bundle.
resources:
- bases/node-maintenance-operator.clusterserviceversion.yaml
- ../default
- ../samples
- ../scorecard

# [WEBHOOK] To enable webhooks, uncomment all the sections with [WEBHOOK] prefix.
# Do NOT uncomment sections with prefix [CERTMANAGER], as OLM does not support cert-manager.
# These patches remove the unnecessary "cert" volume and its manager container volumeMount.
patchesJson6902:
- target:
    group: apps
    version: v1
    kind: Deployment
    name: controller-manager
    namespace: system
  patch: |-
    # Remove the manager container's "cert" volumeMount, since OLM will create and mount a set of certs.
    # Update the indices in this path if adding or removing containers/volumeMounts in the manager's Deployment.
    - op: remove
      # removing the proxy container... path: /spec/template/spec/containers/1/volumeMounts/0
      path: /spec/template/spec/containers/0/volumeMounts/0
    # Remove the "cert" volume, since OLM will create and mount a set of certs.
    # Update the indices in this path if adding or removing volumes in the manager's Deployment.
    - op: remove
      path: /spec/template/spec/volumes/0
- target:
    group: operators.coreos.com
    version: v1alpha1
    kind: ClusterServiceVersion
    name: node-maintenance-operator.v0.0.0
    namespace: placeholder
  patch: |-
    # Add base64 encoded icon
    - op: replace
      path: /spec/icon/0/base64data
      value: "[encoded data, 26068 characters]"
    - op: replace
      path: /spec/icon/0/mediatype
      value: image/png
